Package org.apache.activemq.artemis.jms.client

## Class ActiveMQConnectionMetaData

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQConnectionMetaData

- All Implemented Interfaces:
    `javax.jms.ConnectionMetaData`

      public class ActiveMQConnectionMetaData
      extends java.lang.Object
      implements javax.jms.ConnectionMetaData

  ActiveMQ Artemis implementation of a JMS ConnectionMetaData.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_PROP_FILE_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActiveMQConnectionMetaData​(org.apache.activemq.artemis.core.version.Version serverVersion)` | Create a new ActiveMQConnectionMetaData object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getJMSMajorVersion()` |
    `int` | `getJMSMinorVersion()` |
    `java.lang.String` | `getJMSProviderName()` |
    `java.lang.String` | `getJMSVersion()` |
    `java.util.Enumeration` | `getJMSXPropertyNames()` |
    `int` | `getProviderMajorVersion()` |
    `int` | `getProviderMinorVersion()` |
    `java.lang.String` | `getProviderVersion()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PROP_FILE_NAME

          public static final java.lang.String DEFAULT_PROP_FILE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ActiveMQConnectionMetaData

          public ActiveMQConnectionMetaData​(org.apache.activemq.artemis.core.version.Version serverVersion)

      Create a new ActiveMQConnectionMetaData object.

  - ### Method Detail

    - #### getJMSVersion

          public java.lang.String getJMSVersion()
                                         throws javax.jms.JMSException

      Specified by:
        `getJMSVersion` in interface `javax.jms.ConnectionMetaData`
      Throws:
        `javax.jms.JMSException`

    - #### getJMSMajorVersion

          public int getJMSMajorVersion()
                                 throws javax.jms.JMSException

      Specified by:
        `getJMSMajorVersion` in interface `javax.jms.ConnectionMetaData`
      Throws:
        `javax.jms.JMSException`

    - #### getJMSMinorVersion

          public int getJMSMinorVersion()
                                 throws javax.jms.JMSException

      Specified by:
        `getJMSMinorVersion` in interface `javax.jms.ConnectionMetaData`
      Throws:
        `javax.jms.JMSException`

    - #### getJMSProviderName

          public java.lang.String getJMSProviderName()
                                              throws javax.jms.JMSException

      Specified by:
        `getJMSProviderName` in interface `javax.jms.ConnectionMetaData`
      Throws:
        `javax.jms.JMSException`

    - #### getProviderVersion

          public java.lang.String getProviderVersion()
                                              throws javax.jms.JMSException

      Specified by:
        `getProviderVersion` in interface `javax.jms.ConnectionMetaData`
      Throws:
        `javax.jms.JMSException`

    - #### getProviderMajorVersion

          public int getProviderMajorVersion()
                                      throws javax.jms.JMSException

      Specified by:
        `getProviderMajorVersion` in interface `javax.jms.ConnectionMetaData`
      Throws:
        `javax.jms.JMSException`

    - #### getProviderMinorVersion

          public int getProviderMinorVersion()
                                      throws javax.jms.JMSException

      Specified by:
        `getProviderMinorVersion` in interface `javax.jms.ConnectionMetaData`
      Throws:
        `javax.jms.JMSException`

    - #### getJMSXPropertyNames

          public java.util.Enumeration getJMSXPropertyNames()
                                                     throws javax.jms.JMSException

      Specified by:
        `getJMSXPropertyNames` in interface `javax.jms.ConnectionMetaData`
      Throws:
        `javax.jms.JMSException`